<script setup lang="ts">
import router from '@/router'
const props = defineProps({
  modelValue: Boolean
})
const emits = defineEmits(['update:modelValue'])

const visible = computed({
  get: () => props.modelValue,
  set: value => emits('update:modelValue', value)
})

const handleGoToNotice = () => {
  visible.value = false
  router.push({ path: '/monitor/messageNotif' })
}
</script>

<template>
  <el-drawer v-model="visible" title="消息提醒" size="400px">
    <div class="btn flex justify-center">
      <el-button type="primary" @click="handleGoToNotice">消息中心</el-button>
    </div>
  </el-drawer>
</template>

<style lang="scss" scoped></style>
